lxqt-notificationd-0.11.1

Introduction to lxqt-notificationd

The lxqt-notificationd package is the LXQt notification daemon.

This package is known to build and work properly using an LFS-8.1 platform.

Package Information

lxqt-notificationd Dependencies

Required

liblxqt-0.11.1 and lxqt-common-0.11.2

Optional

git-2.14.2 (to download translation files) or lxqt-l10n-0.11.2 (to add localization files)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/lxqt-notificationd

Installation of lxqt-notificationd

Install lxqt-notificationd by running the following commands:

mkdir -v build &&
cd       build &&

cmake -DCMAKE_BUILD_TYPE=Release          \
      -DCMAKE_INSTALL_PREFIX=$LXQT_PREFIX \
      -DPULL_TRANSLATIONS=no              \
      ..       &&

make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

-DPULL_TRANSLATIONS=no: Removes the need for git-2.14.2, which would otherwise be requested to download the translation files.

Contents

Installed Programs: lxqt-config-notificationd and lxqt-notificationd
Installed Libraries: None
Installed Directories: None

Short Descriptions

lxqt-config-notificationd

is the lxqt-notificationd GUI configuration tool.

lxqt-notificationd

is the LXQt notification daemon.

Last updated on 2017-08-31 03:16:09 -0500